--- title: "getCloudCacheInstanceList" slug: "database-vcache-getcloudcacheinstancelist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vcache-getcloudcacheinstancelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudCacheInstanceList Available in VPC Get the Cloud DB for Cache instance list. Note Cloud DB for Cache API offers two versions based on the supported DBMS range. - getCloudCacheInstanceList API: Support for Valkey and Redis DBMS - getCloudRedisInstanceList API: Support for Redis DBMS ## getCloudCacheInstanceList API This section describes the request and response formats for the getCloudCacheInstanceList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vcache/v2/getCloudCacheInstanceList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. #### Request headers For information about the headers common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for Cache instance to query - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `zoneCode` | String | Optional | Filter by zone code. - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). | | `vpcNo` | String | Optional | Filter by VPC number. - See [getCloudCacheTargetVpcList](/docs/en/database-vcache-getcloudcachetargetvpclist). | | `subnetNo` | String | Optional | Filter by subnet number. - See [getCloudCacheTargetSubnetList](/docs/en/database-vcache-getcloudcachetargetsubnetlist). | | `cloudCacheServiceName` | String | Optional | Filter by Cloud DB for Cache service name. | | `cloudCacheInstanceNoList.N` | List[String] | Optional | Cloud DB for Cache instance number list - Filter by Cloud DB for Cache instance number. - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). - Example: `cloudCacheInstanceNoList.1=1234&cloudCacheInstanceNoList.2=2345` | | `cloudCacheServerName` | String | Optional | Filter by Cloud DB for Cache server name. - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). | | `cloudCacheServerInstanceNoList.N` | List[String] | Optional | Cloud DB for Cache server instance number list - Filter by Cloud DB for Cache server instance number. - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). - Example: `cloudCacheServerInstanceNoList.1=1234&cloudCacheServerInstanceNoList.2=2345` | | `generationCode` | String | Optional | Filter by server generation code. - `G2` \| `G3` | | `pageNo` | Integer | Optional | Page numbers in paged results - Page the result values using `pageNo` and `pageSize`. - 0 (minimum). | | `pageSize` | Integer | Conditional | Number of results to display on a page - Page the result values using `pageNo` and `pageSize`. - Required when entering `pageNo` - 1 (minimum). | | `cloudCacheDbmsCode` | String | Optional | Cloud DB for Cache instance's DBMS code - `Redis` \| `Valkey` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheInstanceList ?regionCode=KR &zoneCode=KR-1 &vpcNo=****83 &subnetNo=****91 &cloudCacheServiceName=test-**** &cloudCacheInstanceNoList.1=****511 &cloudCacheServerName=test-**** &cloudCacheServerInstanceNoList.1=****613 &generationCode=G2 &pageNo=0 &pageSize=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [CloudCacheInstanceList](/docs/en/common-vapidatatype-cloudcacheinstancelist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudCacheInstanceListResponse": { "totalRows": 1, "cloudCacheInstanceList": [ { "cloudCacheInstanceNo": "****511", "cloudCacheServiceName": "test-****", "cloudCacheInstanceStatusName": "running", "cloudCacheInstanceStatus": { "code": "CREAT", "codeName": "CLOUD DATABASE (VPC) Created status" }, "cloudCacheInstanceOperation": { "code": "NULL", "codeName": "CLOUD DATABASE(VPC) Null OP" }, "isHa": true, "generationCode": "G2", "role": { "code": "SIMPLE", "codeName": "CLOUD CACHE(VPC) Cluster Role" }, "cloudCacheServerInstanceList": [ { "cloudCacheServerInstanceNo": "****613", "cloudCacheServerName": "test-****-001-001-ehs", "cloudCacheServerRole": { "code": "M", "codeName": "Master" }, "cloudCacheServerInstanceStatusName": "running", "cloudCacheServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE (VPC) server Running status" }, "cloudCacheServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE (VPC) server null OP" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "cpuCount": 4, "memorySize": 1610612736 }, { "cloudCacheServerInstanceNo": "****616", "cloudCacheServerName": "test-****-002-001-eht", "cloudCacheServerRole": { "code": "M", "codeName": "Master" }, "cloudCacheServerInstanceStatusName": "running", "cloudCacheServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE (VPC) server Running status" }, "cloudCacheServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE (VPC) server null OP" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "cpuCount": 4, "memorySize": 1610612736 }, { "cloudCacheServerInstanceNo": "****619", "cloudCacheServerName": "test-****-003-001-ehu", "cloudCacheServerRole": { "code": "M", "codeName": "Master" }, "cloudCacheServerInstanceStatusName": "running", "cloudCacheServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE (VPC) server Running status" }, "cloudCacheServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE (VPC) server null OP" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "cpuCount": 4, "memorySize": 1610612736 }, { "cloudCacheServerInstanceNo": "****622", "cloudCacheServerName": "test-****-001-002-ehv", "cloudCacheServerRole": { "code": "S", "codeName": "Slave" }, "cloudCacheServerInstanceStatusName": "running", "cloudCacheServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE (VPC) server Running status" }, "cloudCacheServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE (VPC) server null OP" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "cpuCount": 4, "memorySize": 1610612736 }, { "cloudCacheServerInstanceNo": "****625", "cloudCacheServerName": "test-****-002-002-ehw", "cloudCacheServerRole": { "code": "S", "codeName": "Slave" }, "cloudCacheServerInstanceStatusName": "running", "cloudCacheServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE (VPC) server Running status" }, "cloudCacheServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE (VPC) server null OP" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "cpuCount": 4, "memorySize": 1610612736 }, { "cloudCacheServerInstanceNo": "****628", "cloudCacheServerName": "test-****-003-002-ehx", "cloudCacheServerRole": { "code": "S", "codeName": "Slave" }, "cloudCacheServerInstanceStatusName": "running", "cloudCacheServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE (VPC) server Running status" }, "cloudCacheServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE (VPC) server null OP" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "cpuCount": 4, "memorySize": 1610612736 } ] } ], "requestId": "02c8adab-****-****-****-6d6b37885670", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 02c8adab-****-****-****-6d6b37885670 0 success 1 ****511 test-**** running CREAT CLOUD DATABASE (VPC) Created status NULL CLOUD DATABASE(VPC) Null OP true G2 SIMPLE CLOUD CACHE(VPC) Cluster Role ****613 test-****-001-001-ehs M Master running RUN CLOUD DATABASE (VPC) server Running status NOOP CLOUD DATABASE (VPC) server null OP KR KR-1 ****83 ****92 4 1610612736 ****616 test-****-002-001-eht M Master running RUN CLOUD DATABASE (VPC) server Running status NOOP CLOUD DATABASE (VPC) server null OP KR KR-1 ****83 ****92 4 1610612736 ****619 test-****-003-001-ehu M Master running RUN CLOUD DATABASE (VPC) server Running status NOOP CLOUD DATABASE (VPC) server null OP KR KR-1 ****83 ****92 4 1610612736 ****622 test-****-001-002-ehv S Slave running RUN CLOUD DATABASE (VPC) server Running status NOOP CLOUD DATABASE (VPC) server null OP KR KR-1 ****83 ****92 4 1610612736 ****625 test-****-002-002-ehw S Slave running RUN CLOUD DATABASE (VPC) server Running status NOOP CLOUD DATABASE (VPC) server null OP KR KR-1 ****83 ****92 4 1610612736 ****628 test-****-003-002-ehx S Slave running RUN CLOUD DATABASE (VPC) server Running status NOOP CLOUD DATABASE (VPC) server null OP KR KR-1 ****83 ****92 4 1610612736 ``` ## getCloudRedisInstanceList API This section describes the request and response formats for the getCloudRedisInstanceList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vredis/v2/getCloudRedisInstanceList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. #### Request headers For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for Cache instance to query - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `zoneCode` | String | Optional | Filter by zone code. - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). | | `vpcNo` | String | Optional | Filter by VPC number. - See [getCloudCacheTargetVpcList](/docs/en/database-vcache-getcloudcachetargetvpclist). | | `subnetNo` | String | Optional | Filter by subnet number. - See [getCloudCacheTargetSubnetList](/docs/en/database-vcache-getcloudcachetargetsubnetlist). | | `cloudRedisServiceName` | String | Optional | Filter by Cloud DB for Cache service name. | | `cloudRedisInstanceNoList.N` | List[String] | Optional | Cloud DB for Cache instance number list - Filter by Cloud DB for Cache instance number. - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). - Example: `cloudRedisInstanceNoList.1=1234&cloudRedisInstanceNoList.2=2345` | | `cloudRedisServerName` | String | Optional | Filter by Cloud DB for Cache server name. - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). | | `cloudRedisServerInstanceNoList.N` | List[String] | Optional | Cloud DB for Cache server instance number list - Filter by Cloud DB for Cache server instance number. - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). - Example: `cloudRedisServerInstanceNoList.1=1234&cloudRedisServerInstanceNoList.2=2345` | | `generationCode` | String | Optional | Filter by server generation code. - `G2` \| `G3` - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). | | `pageNo` | Integer | Optional | Page numbers in paged results - Page the result values using `pageNo` and `pageSize`. - 0 (minimum). | | `pageSize` | Integer | Conditional | Number of results to display on a page - Page the result values using `pageNo` and `pageSize`. - Required when entering `pageNo` - 1 (minimum). | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisInstanceList ?regionCode=KR &zoneCode=KR-1 &vpcNo=****83 &subnetNo=****91 &cloudRedisServiceName=test-**** &cloudRedisInstanceNoList.1=****511 &cloudRedisServerName=test-**** &cloudRedisServerInstanceNoList.1=****613 &generationCode=G2 &pageNo=0 &pageSize=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [CloudRedisInstanceList](/docs/en/common-vapidatatype-cloudredisinstancelist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudRedisInstanceListResponse": { "totalRows": 1, "cloudRedisInstanceList": [ { "cloudRedisInstanceNo": "****511", "cloudRedisServiceName": "test-****", "cloudRedisInstanceStatusName": "running", "cloudRedisInstanceStatus": { "code": "CREAT", "codeName": "CLOUD DATABASE(VPC) Created State" }, "cloudRedisInstanceOperation": { "code": "NULL", "codeName": "CLOUD DATABASE(VPC) Null OP" }, "isHa": true, "generationCode": "G2", "role": { "code": "CLUSTER", "codeName": "CLOUD REDIS(VPC) Cluster Role" }, "cloudRedisServerInstanceList": [ { "cloudRedisServerInstanceNo": "****613", "cloudRedisServerName": "test-****-001-001-ehs", "cloudRedisServerRole": { "code": "M", "codeName": "Master" }, "cloudRedisServerInstanceStatusName": "running", "cloudRedisServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudRedisServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "cpuCount": 4, "memorySize": 1610612736 }, { "cloudRedisServerInstanceNo": "****616", "cloudRedisServerName": "test-****-002-001-eht", "cloudRedisServerRole": { "code": "M", "codeName": "Master" }, "cloudRedisServerInstanceStatusName": "running", "cloudRedisServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudRedisServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "cpuCount": 4, "memorySize": 1610612736 }, { "cloudRedisServerInstanceNo": "****619", "cloudRedisServerName": "test-****-003-001-ehu", "cloudRedisServerRole": { "code": "M", "codeName": "Master" }, "cloudRedisServerInstanceStatusName": "running", "cloudRedisServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudRedisServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "cpuCount": 4, "memorySize": 1610612736 }, { "cloudRedisServerInstanceNo": "****622", "cloudRedisServerName": "test-****-001-002-ehv", "cloudRedisServerRole": { "code": "S", "codeName": "Slave" }, "cloudRedisServerInstanceStatusName": "running", "cloudRedisServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudRedisServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "cpuCount": 4, "memorySize": 1610612736 }, { "cloudRedisServerInstanceNo": "****625", "cloudRedisServerName": "test-****-002-002-ehw", "cloudRedisServerRole": { "code": "S", "codeName": "Slave" }, "cloudRedisServerInstanceStatusName": "running", "cloudRedisServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudRedisServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "cpuCount": 4, "memorySize": 1610612736 }, { "cloudRedisServerInstanceNo": "****628", "cloudRedisServerName": "test-****-003-002-ehx", "cloudRedisServerRole": { "code": "S", "codeName": "Slave" }, "cloudRedisServerInstanceStatusName": "running", "cloudRedisServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudRedisServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "cpuCount": 4, "memorySize": 1610612736 } ] } ], "requestId": "02c8adab-****-****-****-6d6b37885670", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 02c8adab-****-****-****-6d6b37885670 0 success 1 ****511 test-**** running CREAT CLOUD DATABASE(VPC) Created State NULL CLOUD DATABASE(VPC) Null OP true G2 CLUSTER CLOUD REDIS(VPC) Cluster Role ****613 test-****-001-001-ehs M Master running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP KR KR-1 ****83 ****92 4 1610612736 ****616 test-****-002-001-eht M Master running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP KR KR-1 ****83 ****92 4 1610612736 ****619 test-****-003-001-ehu M Master running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP KR KR-1 ****83 ****92 4 1610612736 ****622 test-****-001-002-ehv S Slave running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP KR KR-1 ****83 ****92 4 1610612736 ****625 test-****-002-002-ehw S Slave running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP KR KR-1 ****83 ****92 4 1610612736 ****628 test-****-003-002-ehx S Slave running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP KR KR-1 ****83 ****92 4 1610612736 ```